     kind: str = ...
        def __init__(self, map: Mapping[str, _triggerbase]) -> None: ...

else:
    class trigger(_triggerbase, wasyncore.dispatcher):
        kind: str = ...
        trigger: SocketType = ...
        def __init__(self, map: Mapping[str, _triggerbase]) -> None: ...
PK